Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Class AbstractValue

    java.lang.Object
      |
      +--com.solarmetric.conf.AbstractValue

All Implemented Interfaces:
  Value

Direct Known Subclasses:
  BooleanValue, DoubleValue, IntValue, PluginListValue, PluginValue, StringListValue, StringValue

public abstract synchronized class AbstractValue
extends Object
implements Value

Constructor Summary
`AbstractValue(String)`

Method Summary
`boolean` | `equals(Object)`
`String[]` | `getAliases()` Aliases for the value in the form key1, value1, key2, value2, ...
`String` | `getDefault()` The default value for the property.
`protected abstract String` | `getInternalString()`
`String` | `getProperty()` Returns the property name that will be used when setting or getting this value in a `Properties` object.
`String` | `getString()` Return a stringified version of this value.
`int` | `hashCode()`
`void` | `setAliases(String[])` Aliases for the value in the form key1, value1, key2, value2, ...
`void` | `setDefault(String)` The default value for the property.
`protected abstract void` | `setInternalString(String)`
`void` | `setString(String)` Set this value from the given string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractValue

    public AbstractValue(String)

Method Detail

### getProperty

    public String getProperty()

  Description copied from interface: `Value`
  Returns the property name that will be used when setting or getting this value in a `Properties` object.
  Specified by:
    `getProperty` in interface `Value`

### getAliases

    public String[] getAliases()

  Description copied from interface: `Value`
  Aliases for the value in the form key1, value1, key2, value2, ...
  Specified by:
    `getAliases` in interface `Value`

### setAliases

    public void setAliases(String[])

  Description copied from interface: `Value`
  Aliases for the value in the form key1, value1, key2, value2, ...
  Specified by:
    `setAliases` in interface `Value`

### getDefault

    public String getDefault()

  Description copied from interface: `Value`
  The default value for the property.
  Specified by:
    `getDefault` in interface `Value`

### setDefault

    public void setDefault(String)

  Description copied from interface: `Value`
  The default value for the property.
  Specified by:
    `setDefault` in interface `Value`

### getString

    public String getString()

  Description copied from interface: `Value`
  Return a stringified version of this value. If the current value has a short alias key, the alias key is returned.
  Specified by:
    `getString` in interface `Value`

### setString

    public void setString(String)

  Description copied from interface: `Value`
  Set this value from the given string. If the given string is null or empty and a default is defined, the default is used. If the given string (or default) is an alias key, it will be converted to the corresponding value internally.
  Specified by:
    `setString` in interface `Value`

### getInternalString

    protected abstract String getInternalString()

### setInternalString

    protected abstract void setInternalString(String)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.